package cn.ibizlab.r7.runtime.core.r7rt_base.filter;

import java.math.BigDecimal;
import java.sql.Timestamp;
import java.util.ArrayList;
import java.util.List;
import java.util.Map;
import java.util.HashMap;
import cn.ibizlab.r7.runtime.util.ISearchFilter;
import cn.ibizlab.r7.runtime.util.domain.DataObj;
import com.fasterxml.jackson.annotation.JsonFormat;
import cn.ibizlab.r7.runtime.util.SearchContext;
import cn.ibizlab.r7.runtime.util.SearchFieldFilter;
import cn.ibizlab.r7.runtime.util.enums.SearchFieldType;
import cn.ibizlab.r7.runtime.util.enums.SearchGroupType;
import cn.ibizlab.r7.runtime.util.SearchGroupFilter;
import lombok.Data;

/**
 * 关系型数据实体[UserObject] 查询条件对象
 */
@Data
public class UserObjectSearchContext extends SearchContext {

	   public String n_userobjectname_like;//[用户对象名称]
       public void setN_userobjectname_like(String n_userobjectname_like) {
            this.n_userobjectname_like=n_userobjectname_like;
            SearchFieldFilter searchField = new SearchFieldFilter();
            searchField.setParam("userobjectname");
            searchField.setCondition(SearchFieldType.LIKE);
            searchField.setValue(n_userobjectname_like);
            this.getCondition().add(searchField);
       }

	/**
	 * 启用快速搜索
	 */
	public void setQuery(String strQuery)
	{
		 this.query=strQuery;
         if(!org.springframework.util.StringUtils.isEmpty(strQuery)){
           SearchGroupFilter searchGroupFilter=new SearchGroupFilter();
           searchGroupFilter.setSearchGroupType(SearchGroupType.OR);

           SearchFieldFilter userobjectname=new SearchFieldFilter();
           userobjectname.setParam("userobjectname");
           userobjectname.setCondition(SearchFieldType.LIKE);
           userobjectname.setValue(strQuery);
           searchGroupFilter.getCondition().add(userobjectname);
        this.getCondition().add(searchGroupFilter);   

           
           
        }
	}
}
